VkCommandBufferBeginInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkCommandBufferBeginInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkCommandBufferUsageFlags | flags
const VkCommandBufferInheritanceInfo * | pInheritanceInfo

## Detailed Description

Definition at line 2331 of file vulkan.h.

## Field Documentation

## flags

VkCommandBufferUsageFlags VkCommandBufferBeginInfo::flags

Definition at line 2334 of file vulkan.h.

Referenced by rerecordCommandBuffer().

## pInheritanceInfo

const VkCommandBufferInheritanceInfo* VkCommandBufferBeginInfo::pInheritanceInfo

Definition at line 2335 of file vulkan.h.

## pNext

const void* VkCommandBufferBeginInfo::pNext

Definition at line 2333 of file vulkan.h.

## sType

VkStructureType VkCommandBufferBeginInfo::sType

Definition at line 2332 of file vulkan.h.

Referenced by rerecordCommandBuffer().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h